INTLTOOL-PREPARE(8)

NAME
intltool-prepare - Prepare software to make use of intltool

SYNOPSIS
intltool-prepare [option] [KEYWORD]...

DESCRIPTION

For software packages that include some specific type of translatable files (such as .desktop and .soundlist), before they make use of intltool, translators have to dig through them one by one, and add their localization into each file. This process is error prone, since translators may include typing errors, or add their localization in wrong encoding. Besides, translators may not alwas know other files (beside .po files) are translatable.

intltool avoids all the problems above by extracting strings inside those translatable files into po template (.pot) file. All translators need to care about is just translating po files. Afterwards, intltool-merge(8) will merge localized strings into those files.

Before your software becomes intltool-aware, a few issues have to be sorted out, and intltool-prepare tries to take care of all of them. intltool-prepare will:

•   Extract all localized strings in .desktop style files (including ".desktop", ".soundlist", ".keys" and ".directory") into corresponding po files.

•   Convert the translatable files into templates that don't contain any localization.

•   Add the list of template files above into POTFILES.in.

•   Add the list of old translatable files into .cvsignore (since they will be generated by intltool later).

•   Add the rules for generating these files into Makefile.am.

NOTE: You must change working directory to the top level source directory before running intltool-prepare.

OPTIONS

KEYWORD is a list of additional keywords beside "Name", "Comment" and "description". intltool-prepare will recognize any line starting with those KEYWORD and extract localized strings after equal sign ("=").

-x
--verbose
    Be verbose to give user additional feedback.

-v
--version
    Show version information.
-h
--help
    Show usage and basic help information.

REPORTING BUGS
Report bugs to http://bugzilla.gnome.org (product name "intltool") or send email to <xml-i18n-tools@gnome.org>.

AUTHOR
Darin Adler <darin@bentspoon.com>
Kenneth Christiansen <kenneth@gnu.org>
Maciej Stachowiak <mjs@eazel.com>

SEE ALSO
intltoolize(8), intltool-update(8), intltool-extract(8), intltool-merge(8)